Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Gentoo User (http://www.linux-archive.org/gentoo-user/)
-   -   Understand Portage not (http://www.linux-archive.org/gentoo-user/708356-understand-portage-not.html)

Silvio Siefke 09-29-2012 04:37 PM

Understand Portage not
 
Hello,

i try to build freecad from source, in Portage is mask. I try to build
the requirements, but i understand really
not what portage me say with this message.

>
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:
>

The complete message found here > http://nopaste.info/c7ead120ee.html

Thank you for support. Nice weekend.

Silvio

Florian Philipp 09-29-2012 06:44 PM

Understand Portage not
 
Am 29.09.2012 18:37, schrieb Silvio Siefke:
> Hello,
>
> i try to build freecad from source, in Portage is mask. I try to build
> the requirements, but i understand really
> not what portage me say with this message.
>
>>
> !!! Multiple package instances within a single package slot have been pulled
> !!! into the dependency graph, resulting in a slot conflict:
>>
>
> The complete message found here > http://nopaste.info/c7ead120ee.html
>
> Thank you for support. Nice weekend.
>
> Silvio
>

Yes, the message is a bit counter-intuitive. What I think portage wants
to tell you is that you need to re-emerge the following packages with
USE="qt3support":
x11-libs/qt-core:4
x11-libs/qt-gui:4
x11-libs/qt-sql:4
x11-libs/qt-opengl:4

The reason for the odd error message is that all QT packages require
that the qt3support flag is either set for all or not set for any. When
some other package requires qt3support (I guess media-libs/SoQt does),
portage wants to suggest enabling the flag. Then it notices that this
conflicts with the requirement of all other installed qt packages and
throws up its arms in despair ;-)

Hope this helps,
Florian Philipp

Silvio Siefke 09-29-2012 07:17 PM

Understand Portage not
 
Hello,

2012/9/29 Florian Philipp <lists@binarywings.net>:
> Yes, the message is a bit counter-intuitive. What I think portage wants
> to tell you is that you need to re-emerge the following packages with
> USE="qt3support":
> x11-libs/qt-core:4
> x11-libs/qt-gui:4
> x11-libs/qt-sql:4
> x11-libs/qt-opengl:4

The message so i understand principal. I has set the qt3support USE Flag and
then want emerge. But then come this message, that make little crazy. I think it
was the wrong profile set. Now all is running well done. My Desktop compile.

Thanks for support. Good we have mailinglist and Intenret, every day hate Gentoo
and then love gentoo.

Regards
Silvio

Alex Schuster 09-30-2012 06:11 AM

Understand Portage not
 
Silvio Siefke writes:

> i try to build freecad from source, in Portage is mask. I try to build
> the requirements, but i understand really
> not what portage me say with this message.
>
> !!! Multiple package instances within a single package slot have been
> pulled !!! into the dependency graph, resulting in a slot conflict:
>
> The complete message found here > http://nopaste.info/c7ead120ee.html

I think attaching that is considered to be more appropriate, as we
don't know whether nopaste.info will be available for as long as the mail
archives.

I don't really understand the problem, as the multiple package instances
seem to have the same version. But maybe it helps to add --tree to the
options, this shows which stuff gets pulled in why.
And maybe adding --update --deep may sort things out. I also had success
sometimes with doing what the output says, adding --backtrack=30.

Wonko


All times are GMT. The time now is 11:06 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.